Next: iswupper, Previous: iswpunct, Up: Ctype [Contents][Index]

### 3.25 `iswspace`, `iswspace_l`—whitespace wide character test

Synopsis

    #include <wctype.h>
    int iswspace(wint_t c);

    #include <wctype.h>
    int iswspace_l(wint_t c, locale_t locale);

Description
`iswspace` is a function which classifies wide-character values that are categorized as whitespace.

`iswspace_l` is like `iswspace` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswspace`, `iswspace_l` return non-zero if c is a whitespace wide character.

Portability
`iswspace` is C99. `iswspace_l` is POSIX-1.2008.

No supporting OS subroutines are required.